Zonemaster::Test::Basic(3pm)

NAME
Zonemaster::Test::Basic - module implementing test for very basic domain functionality

SYNOPSIS
    my @results = Zonemaster::Test::Basic->all($zone);

METHODS

all($zone)
    Runs between one and three tests, depending on the zone. If basic01 passes, basic02 is run. If basic02 fails, basic03 is run.

metadata()
    Returns a reference to a hash, the keys of which are the names of all test methods in the module, and the corresponding values are references to lists with all the tags that the method can use in log entries.

translation()
    Returns a reference to a hash with translation data. Used by the builtin translation system.

version()
    Returns a version string for the module.

can_continue(@results)
    Looks at the provided log entries and returns true if they indicate that further testing of the relevant zone is possible.

TESTS

basic00
    Checks if the domain name to be tested is valid. Not all syntax tests are done here, it "just" checks domain name total length and labels length. In case of failure, all other tests are aborted.

basic01
    Checks that we can find a parent zone for the zone we're testing. If we can't, no further testing is done.

basic02
    Checks that the nameservers for the parent zone returns NS records for the tested zone, and that at least one of the nameservers thus pointed out responds sensibly to an NS query for the tested zone.

basic03
    Checks if at least one of the nameservers pointed out by the parent zone gives a useful response when sent an A query for the "www" label in the tested zone (that is, if we're testing "example.org" this test will as for A records for "www.example.org"). This test is only run if the basic02 test has failed.